Ubuntu 12.04 LTS Beta 1

 ( trey | 2012. március 2., péntek - 11:29 )

Kate Stewart bejelentette az Ubuntu 12.04 LTS (kódnevén "Precise Pangolin") két tervezett béta kiadása közül az elsőt. A szokásos változatokban - Desktop, Server, Cloud és Core - érhető el. Az Ubuntu mellett a Kubuntu, Edubuntu, Xubuntu, Lubuntu és az Ubuntu Studio is elérte a Beta 1 fejlesztési mérföldkövet. Részletek a bejelentésben.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Olyan kérdésem lenne, hogy a rendszerem megrekedt 10.10-en, bizonyos okokból.
Beállítottam a frissítéskezelőben, hogy csak LTS-re frissítsen. Most ez fog jönni.
Van valakinek tapasztalata, hogy lehet-e LTS-re frissíteni nem előző verzióról (pl.: 11.10) és nem az előző LTS-ről (pl.: 10.04)?
---
Ubuntu 10.10

Nem támogatott. Csak LTS->LTS vagy az összes verziót végig kell lépkedni egyesével, ez a hivatalos upgrade path.

Vagy ha nem annyira produktív kiszolgáló, backup, backup és nesze neki :) .. persze ez csak vicc. Szerintem klónozd le a rendszer egy virtuális környezetbe és próbáld meg, az természetes hogy nem támogatott a mindenhonnan mindenhova upgrade, de könnyen lehet, hogy működik. A konfig állományok egy részét, ahol a csomag verziószáma úgy változott, majd kézzel kell összeraknod.

Ahogy én tudom két upgrade path van LTS-re:

- vagy előző LTS verzióról
- vagy nem LTS verzióról egymást követő upgrade, azaz ha mondjuk 11.04-en vagy, akkor előbb 11.10-re, majd onnan 12.04-re

Jelenleg (beta 1) ideje alatt két lehetőséged van az upgrade-re:

--
trey @ gépház

Próbált már valaki LTS-ről LTS-re frissíteni? Mennyire fájdalmas?

Ajaj....szóval akkor lesz egy kis munkám.

---------------------------------------------------------------
Ritkán szólok hozzá dolgokhoz. Így ne várj tőlem interakciót.

Nem-nem, ez csak a "hülye kérdésre hülye válasz" kategória volt ;)


[ NeoCalc - Earnings Calculator for NeoBux ]

Bocsi. Az az igazság hogy sima kiadások közti frissítésnél is szoktam néha sz..ni. Nekem ritkán megy olyan könnyen mint trey-nek. Bár az is igaz hogy általában egzotikus perifériákkal (pl. paralel scanner) küzdök meg minden alkalommal. Így akkor most megnyugodtam. (azt hiszem)

---------------------------------------------------------------
Ritkán szólok hozzá dolgokhoz. Így ne várj tőlem interakciót.

Szervert frissítettem 8.04-ről 10.04-re. Problémamentes volt a dolog. Az upgrade guide-ot érdemes átolvasni, mellette a release notes-ot.

+1. Annyit hozzateve, hogy ezt nem csak LTS-LTS valtaskor erdemes megtenni :)

Amibe én eddig belefutottam: a /etc/init.d/ alatti "gyári" initscriptek legyenek meg, mert ha valamit nem tud leállítani/újraindítani, azt zokon tudja venni, illetve a /boot alatt legyen bőségesen hely.

10.04 re frissítettem így szüleim gépét. Bőven a megjelenés után. Eseménytelen volt. Most is ezt fogom tenni valamikor a kora ősszel.

legutóbb azt csináltam. Amikor megjelent az új LTS, akkor még nem szólt, mert egy ideig nem szokott, kell rá várni egy hónapot, szal mikor megjelenik, még azt a procedúrát kell csinálni, mintha még béta lenne, mégis frissíteni akarsz. Nos, kicsit gáz volt, nem fejezte be rendesen a telepítést, valami volt a flash-el, amiért le kellett szednem és visszatenni, de rendbe hoztam.
Amikor már nem kellett force-olni a frissítést újra megcsináltam kiváncsiságból, és pöccre ment

Desktop-on 8.04 -> 10.04, alapvetően eseménymentes volt.

(Egyedül a 3rd party NX server okozott problémát, mert minden ugyanúgy működött, mint 8.04-en, azaz 10.04-ről NX klienssel csatlakozva rossz volt a billentyűzet-kiosztás, miközben másik gépen 10.04->10.04 között jó. Csomag leszedése és újratelepítése volt a szolúcuió.)

Az Apache 2.4 és a PHP 5.4 belekerül a véglegesbe?

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Korai még a PHP 5.4: http://hu2.php.net/manual/en/migration54.changes.php :) mert még nem frissült...

Egyébként télleg korai: http://www.php.net/manual/en/migration54.incompatible.php

Ezek várhatóan nem is fognak változni, szóval inkább az alkalmazásokat kell felkészíteni rá. Amúgy pedig ne feledd, hogy ez egy hosszú ideig támogatott (LTS) kiadás lesz.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Ezt mondd el annak a "néhány" webfejlesztőnek (és annak aki a CMS-ét se frissíti), aki még 5.2-höz szokott, hiszen a Hardy is sokáig támogatott. :) Szóval arra próbáltam utalni, hogy aki 5.2-ről hirtelen vált annak nem biztos hogy őszinte lesz a mosolya sok weboldallal, mert még az 5.3-as váltás se egy öröm.

Oké, de ezzel mit tudsz csinálni? B@sszák meg. Tudom, hogy vannak még erősen PHP 4.x-re optimalizált weboldalak is, de örökre nem ragadhatunk bele a backportba.
Másrészről pedig ha nem érkezik meg, akkor öt évig nem is fog. Ha valaki úgy üzemeltet szervert vele, hogy két év múlva nem tud a következő LTS-re frissíteni (vagy csak később), akkor elég nehéz lesz megmagyarázni, hogy miért nem érhető el támogatott módon a PHP 5.4. És ez a szempont az Apache 2.4-re is igaz.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Az Apache useroldalról sokkal kevésbé érezhető. Én egyetértek veled, de épp a napokban próbáltam egy kódert a register globals kiírtásra rávenni, a válasz: "hát küldök ajánlatot majd a T. megrendelőnek".

Az ilyent meg akkor be kell zárni egy megerősített chroot vagy virtualizált környezetbe. Igen, a fejlesztőt is. :)

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Próbálta valaki virtualboxban? Működött a 3d?
Nálam debian squeeze alatt, virtualbox 4.1.8 r75467-tel nem jön be a unity 3d-s felület (xserver-xorg-video-intel 2:2.15.0-3~bpo60+2). Kirajzolja a háttérképet meg a panel helyére egy drop shadow-t, oszt jó' van.

áruld el légy szíves, h mi olyan vicces a vboxon

Esetleg nem abban kellene 3D-s cuccokat használni..

azért kipróbálni szabad, nem? jobban örülnék vmi konstruktív hozzászólásnak. ha nem abban, akkor miben? a többi virtualizációs megoldást nem ismerem, nem volt szükségem eddig rájuk.

VMware Workstation, de inkább fizikai gép.

ok, kösz

Ha valaki nagyon moralfag, akkor ott van meg a VMWare Player is.

Nem mondtam, hogy torrentezze le. :P
Egyébként ki lehet próbálni a Workstation-t ingyé' 60 napig, ha jól emlékszem: link

Hát azon kívül, hogy használhatatlan, semmi :)


[ NeoCalc - Earnings Calculator for NeoBux ]

kösz, észrevettem már én is, csak gondoltam, adok neki még1 esélyt, mielőtt kukázom.

úgy értettem, a unitys ubuntu vm-et kukázom. amúgy nem 3d-s feladatokra nekem is évek óta jó szolgálatot tesz a vbox, igaz virtuális xp-n kívül másra nem is kellett.

Hosszú évek óta használjuk problémamentesen (igaz, nem 3d gyorsítást igénylő feladatokra).

Jól van, örülök :)


[ NeoCalc - Earnings Calculator for NeoBux ]

En addig tudtam elviselni, amig nem volt VMware Workstation licencem.
Igaz, a VirtualBox is jobb mint a semmi.

Előtted szólót meg nem kérdezném, neked milyen érveid vannak VMWare vs. VBox kérdéskörben? (VMWare licencem is van, és én nem tudnék semmiképp ennyire határozott pozitív előjelet kirakni, sőt...)

1. Alapvetoen stabilabb a VMWare. A tapasztalatom az, hogy a VirtualBox szepen viszi a nagyon altalanos dolgokat, de amint valami furcsabb konfiguracio kene, maris jonnek a problemak. Nekem meg a virtualis gep pont olyan esetekre kell amit nem tudok/akarok valodi gepen leprobalni. Azonban olyan dolgokkal is akadt problemam mint az USB tamogatas. A hibauzenetek se segitenek sokat...

2. Bizonyos funkciok ugyan leteznek a VirtualBox-ban, de GUI meg nincs hozzajuk. Pl. valodi vinyo hasznalata virtualis gepben. Szivesebben konfiguralok ilyet GUI-n a kisebb hibalehetoseg miatt.

3. Utoljara amikor VirtualBox-oztam, 64b-es Windows alatt nem tudta a virtualis gep fajlait torolni. Tesztelesnel siman elofordul, hogy egy virtualis gep csak egy napra kell. Utaltam takaritani. Sajnos a VirtualBox fejlesztoi az ilyen hibakat nem tartjak annyira veszesnek, hogy gyorsan javitsak. (Konkretan helyette egy hibauzenetet hozott fel, hogy 64b-es Windows-on ez nem megy, tehat toroljem a fajlokat magamnak.)

4. 2 monitort hasznalok a gepemen. Pontosan azert, hogy az egyiken a virtualis gep legyen, a masikon meg a rendes desktop. Sajnos az egerkurzor szinkronizacioja hibas volt amikor utoljara probaltam. Konkretan a hoston hamarabb ert a kepernyo szelere a kurzor mint a guest-en. Igy nem lehetett elerni az egesz kepernyot. Megoldas: visszhuzni az egeret a masik iranyba es ujraprobalni. Allati idegesito. Szinten nem volt cel a javitasa...

Nem tudom, hogy ezekbol mennyi oldodott meg azota, de az ilyen aprosagok miatt nem hasznalom tobbet. Persze, ha havernak kene virtualis XP-zni, akkor lehet, hogy VirtualBox-ot tennek fel. Regebben egy virtualis szerverhez is bevalt, azonban az csak halozaton keresztuli hasznalatra volt. (Konkret sztori: fejlesztonek kellett teszt szerver, igy kapott egy Linux-ot virtualbox-ban elokonfiguralva. Ha ment a cucc azzal, akkor ment az elesen is.) Azonban komoly hasznalatra ahol 1-2 aprosag is idegolo, nem ajanlanam.

A 4. problémát manapság a Guest Addons telepítése megoldja (4.1.8).

Akkor is ha ket monitoron hasznalod es csak az egyiken van teljeskepernyon a VirtualBox?

Holnap letesztelem neked így is. :)

Megkoszonnem, mert azt hiszem csak ugy volt vele ez a problemam.

Megy, viszont nem tudom, hogy az addon rázott helyre valamit, vagy a Catalyst frissítés.

sikerült a teszt?

---
Why use Windows, if you have open doors… to Linux

+1

Pont most döglött le egy nagyobb megosztott mappás másolásnál. A változatosság kedvéért most nem Windows guest-tel, hanem Debian-nal. Profi, imádom :)


[ NeoCalc - Earnings Calculator for NeoBux ]

Nyilván vannak benne hibák, nem is vonom kétségbe, minden programban vannak. Ettől függetlenül használhatatlannak nem mondanám, desktop virtualizációra évek óta használom/használjuk az innotek brand-es ősrégi verziók óta, nekünk működik.

Szóval nálad ez a "használható" kategória. Nem lehetnek túl nagy igényeid :)


[ NeoCalc - Earnings Calculator for NeoBux ]

1 linux host-on 2 (elég különböző) windows guest, amire használva van: fejlesztgetés, konfigolás, adminolás, levelezés, netezés, tesztelés. Ezt teljesíti, évek óta használom napi sok órában.

Mit és?
Te leírtad, hogy szerinted használhatatlan, én erre leírtam, hogy szerintem használható. Te leírtad, hogy nem lehetnek túl nagy igényeim, én leírtam az igényeimet.

Most mégis mit vársz? Meg kellene hajolnom az nagy bervi véleménye előtt, és használhatatlan szarnak kellene tartanom egy általam évek óta production környezetben használt sw-t, csak mert te úgy gondolod, vagy mi?

És kurvára leszarom a works4me okoskodásod, semmivel nem leszek vele előrébb, de a vbox sem. Így már érthető?

Btw. ma is fagyott egy szépet, annyit csináltam, hogy a VM futása közben bementem a hálózati beállításokba. Általában sikerül neki megbírkózni ezzel a hatalmas feladattal, de most túl sok volt neki. Persze a VM is elszállt a picsába, recovery közepén, úgyhogy mehetett az egész elölről. Kiváló szoftver.


[ NeoCalc - Earnings Calculator for NeoBux ]

Igyál egy kis zöld teát. :(

A gyümölcstea megfelel, csak túlzásba se vihetem, mert elrohadna tőle a fogam :P


[ NeoCalc - Earnings Calculator for NeoBux ]

Mármint a szoftverek okozta stressz miatt.
(Nálam VMWare van, de átérzem a helyzeted, szoptam már eleget VBox miatt.)

Hát az akkor tök jó!
(HUP-on sosem lehet biztos az ember.)

És kurvára leszarom a NOTworks4me okoskodásod, semmivel nem leszek vele hátrébb, de a vbox sem. Így már érthető?

Btw. ma is stabilan működik.

Örömmel látom, hogy te is ezt használod.

Igen, mert nem én vagyok a döntéshozó, és számomra nem igazán öröm :)


[ NeoCalc - Earnings Calculator for NeoBux ]

Lehet az én példányom bugos, mert nekem sikerült használnom elégedetten már több mint egy éve napi szinten munkámhoz is, sőt az se kottyant meg neki, hogy 1-2 3D-s játékot végigtoljak :)

Parallels-ben sem működik a 3d.

Befrissítettem. Eddig minden megy. (kubuntu)

Ezeket az image-ket már dd-vel ki lehet írni pendrive-ra úgy, hogy elinduljon a rendszer? Szívesen kipróbálom, de nincs kedvem CD-t irogatni.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Eddig se kellett CD-t írogatni valóban, de, hogy a korábbi verziókat ha kiírtad dd-vel és nem indult be az is biztos. Bár nem követem annyira az Ubuntu fejlesztését, talán mintha a 11.10-től kezdve támogatnák, hogy dd-vel simán kiírhatod és bootol. http://hup.hu/cikkek/20110619/cd_usb_hibrid_iso-k_mar_az_ubuntu-nal_is

Kösz, erre a cikkre emlékeztem én is…! :)

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

"The default music player has been switched to Rhythmbox, which again includes the UbuntuOne music store."

Ezt imadom. Okes, hogy OS X akar lenni az Ubuntu, de nem kene tulzasokba esni a szoftverek teren. Minden verzioban cserelgetni a default dolgokat. Meh. Akkor patcheljek, fixeljek, fejlesszek. Valasszanak meg X szoftvert mint Ubuntu-userland, es tartsak karban oket.

Az indokot is megnézted?

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

https://lists.ubuntu.com/archives/ubuntu-announce/2012-March/000156.html

"Includes UbuntuOne Music Store"... mert a masikba miert nem lehetett belerakni? Miert pont ezt valasztottak? Minek mindig valtogatni?

Lol. Az igazi indok nem ez. Anno azért váltottak Banshee-re, mert Rhythymbox fejlesztése leállt és nem lehetett tudni, hogy lesz-e GTK+ 3-as portja. Viszont egy ideje újra beindult, a portolás is elkészült. Ezzel párhuzamosan viszont megindult egy folyamat, hogy minden Mono-s dolgot száműzzenek az alapértelmezett alkalmazások közül, így került ki a Tomboy is.
Ez amúgy csak az új telepítéseket érinti, nem értem a parád.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

De régi kiadásról frissítve, akkor nem is fogod megkapni az Ubuntu One féle integrációt a régi lejátszódba? Vagy nem javasol új lejátszót?

(Csak nekem tűnik az egész rendszer kaotikusnak?!)

akkor apt-get install rhythymbox :)
Csak én érzem úgy, hogy túl van ez pörögve? :) Amúgy nem szerintem annyi, hogy akkor hoztak egy jónak látszó döntést, ami utólag belátva nem volt jó. És nem erőltetik, visszaváltanak a másikra.

(Amúgy a Banshee a világ összes memóriáját megeszi.)

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

A Rhytmbox elrendezése meg az ember agyára megy, kényelmetlen.
--
Ha valakinek nem válaszolok a fórumon, ne sértődjön meg. Valószínűleg csak trollszűrőre raktam.

Előre kéne gondolkodni, nem esztelenül fél/1 évente változtatgatni a default programokon.

Ez így desktop OS? LOL.

Experimentalnak elmegy.

De most komolyan. Felépítessz egy rendes adatbázist X-en, rendes tagek, csillagocskák, playlistek, stb, aztán dobhatod ki az egészet, mert másik jön defaultból (== támogatott?), arra is felépíted, erre visszajön az előző.

Menjenek már a francba az ilyenek, komolyan mondom. Ovis szint ez, nem Desktop OS.

Valamilyen szinten egyet értek, de most akkor az általad leírt dolog mit is jelent, értékeljük.
Ha én mint hűdeokos tm user upgradelek a 1212 ről a 1234-re akkor kötelezően átállítja a zenehallgató alkalmazásomat? Vagy csak az új telepítéseket érinti?
Azon lovagolni, hogy a nap mint nap több zenelejátszót hallgató és azon vitatkozó csomagkezelők mit és miért választanak defaultnak kár.
Az hogy valószínűleg több támogatást/integrációs segítséget kap a default program az biztos, de ettől még aki megszokta a banshee-t használhatja nyugodtan, semmi nem fog változni. Az integráció ezek esetén pedig általában szabványos dolgok integrálását jelentik, olyan interfészen amelyet a másik program is képes szolgáltatni.

szvsz az Ubuntu van már annyira elterjedt, hogy a default OS alkalmazásokat magának fejlessze. Ez akár lehet egy létező alkalmazás forkja is vagy annak támogatása.

Elterjedtség, nem terjedtség... annyi ereje csak van, hogy egy bizonyos userland-et karbantartson.
Nem kell ahhoz külön engedély. Szól a fejlesztőnek, hogy a te programodat választottuk, és utána eldöntik hol folytatódjon tovább a project.

Nem hiszem akkora munka lenne időnként a bugokat kijavítani, vagy portolni a dolgokat (mint az UbuntuOne Music). Bár van amikor csak összehányt dolgokat adnak ki a kezük közül, ilyen a Software Store. Meg maga az Ubuntu one is.

Az Store általában random programok összehányt tömkelege, megfűszerezve 32x32 (v. 64x64)-es ocsmány pixeles ikonokkal, illetve 0 leírással. A One pedig annyi bugot tartalmaz, hogy tényleg szerencsés az az ember, akinek rendesen fut. (Egy tuti, pénzt nem ölnék One-ba.)

A bazár modell csődje.

Amikor olvastam ESR könyvét, a Katedrális és Bazárt X éve, akkor megfogott. Igen, van lehetőség a bazárban. Ezt tartom most is. De NEM egy (átlag)usereknek szánt cuccban. Egy usererrel (még ha ingyen adod, akkor se) teheted meg, hogy állandóan változtatgatsz a default programokon. Különben elpártol.

A bazár akkor jó, ha pont leszarod, hogy mikorra lesz meg egy feature. Majd lesz. Ha valakinek kedve lesz belerakni. Vagy belefejleszted.

Viszont az open-source katedrális? Na az az igazán ultimate cucc. Nincs tesze-toszáskodás, nincs "majd ha kész lesz". Jönnek a releasek, ahogy kell, de megvan a lehetőséged, hogy hakkold.

A bazárnál még a closed-source katedrális is jobb, ott legalább viszonylag konzisztensen jönnek az új feature-k.

Rossz fogás. A disztribúció egy programok feletti összefüggés. Kínálat, ami segít dönteni. Nem kötelezettség.

Olvastad a könyvet?

----
Debian SID Xfce

én nem olvastam, de jó lenne egy link egy pdf biztonsági másolatra, hogy villanykönyvön nézhessem, mert a példányom biztos a padláson penészedik... ;)
---
Why use Windows, if you have open doors… to Linux

Úgy emlékszem, hogy csak valami 26 oldalas sűrítmény kering a hálón... A teljes könyv nincs scannelve.

----
Debian SID Xfce | MegaCloud 5GB Free Storage

Kipróbáltam és nem rossz, sőt szerintem a Unity is szokható.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Van valami olyan virtualizációs megoldás, ami egy Inteles videókártyával (5700MHD - Lenovo T410) rendelkező gépen is képes 3D-s képességet adni a virtuális gépnek? Amiket eddig próbáltam (Vmware Workstation, Virtualbox, KVM + SPICE), azok közül egyikkel sem sikerült, sem a Unity-t sem a GNOME Shellt életre keltenem.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

X4500MHD -> Win7 hoston Workstation 8-al Ubuntu guest (12.04 Beta 1) Unity es Gnome shell is mukodik.

Igen, az kimaradt, hogy itt a host is Linux. Megnézem a 8-as (bár mintha már próbáltam volna), a 7-essel biztosan nem megy.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

8.0.2-re feltelepítettem az Ubuntu 12.04 beta1-et, feltettem a Vmware Tools-t is, az emulált videókártyánál engedélyeztem a 3D gyorsítást, de semmi eredménye.
Ugyanúgy Unity 2D, ami nem rossz, csak nem arra vagyok kíváncsi.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

intel integralt vga.
sotet kepernyo.
meg mindig...
valaha ez javitva lesz ? vagy ezentul nem hasznalhatok
2.6.32+ kernelt
1.8 + xorg-server
2.10 + intel drivert
?

VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)

nem, a nomodeset nem jo.

Nálam intel i915 van, és azt kell mondanom, hogy aránylag szar, de összességében messze a legjobb 3D driver amit eddig használtam. Kipróbáltam a 64 bites live CD-t és még az udev event handler sem kapott "epilepsziás rohamot" alapkernellel mint Lucid-on. Bár persze még korai az öröm, igazi terhelés nem volt. Viszont bluetooth egyszer csak megjelent a semmiből. Ennek örültem, már csak a wifi kéne. Hálózati státuszjelző ikont viszont egyáltalán nem láttam.